Bug 20147 - Allow translating prompt in label edit batch
Summary: Allow translating prompt in label edit batch
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-07 06:17 UTC by paxed
Modified: 2018-04-06 17:45 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20147: Allow translating prompt in label edit batch (1.84 KB, patch)
2018-02-07 06:19 UTC, paxed
Details | Diff | Splinter Review
Bug 20147: Allow translating prompt in label edit batch (1.91 KB, patch)
2018-02-27 14:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-02-07 06:17:38 UTC
Untranslatable "Are you sure you want to remove label number(s): " + item_msg + " from this batch?" in label batch edit
Comment 1 paxed 2018-02-07 06:19:29 UTC
Created attachment 71270 [details] [review]
Bug 20147: Allow translating prompt in label edit batch

Fix one untranslatable prompt in the label batch edit.

Test plan:

1) Go to Home -> Tools -> Label creator
2) Click on New -> Label batch
3) Add items to the batch
4) Select any of the items
5) Click on "Remove selected items"
6) Note the popup text
7) Apply patch, update a language, translate the msgid
   "Are you sure you want to remove label number(s): %s from this batch?"
8) Repeat 1-6. The popup text should now be translated.
Comment 2 Jonathan Druart 2018-02-27 14:30:31 UTC
Created attachment 72264 [details] [review]
Bug 20147: Allow translating prompt in label edit batch

Fix one untranslatable prompt in the label batch edit.

Test plan:

1) Go to Home -> Tools -> Label creator
2) Click on New -> Label batch
3) Add items to the batch
4) Select any of the items
5) Click on "Remove selected items"
6) Note the popup text
7) Apply patch, update a language, translate the msgid
   "Are you sure you want to remove label number(s): %s from this batch?"
8) Repeat 1-6. The popup text should now be translated.

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2018-02-27 14:42:41 UTC
Trivial, skipping QA.
Comment 4 Jonathan Druart 2018-02-27 15:56:01 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-04-06 17:45:30 UTC
Awesome work all, backported to stable for 17.11.05